Bug 200886 - KProf - BFD: LiftSimulator(.rel.plt): relocation 0 has invalidsymbol index 1
KProf - BFD: LiftSimulator(.rel.plt): relocation 0 has invalidsymbol index 1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: binutils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-01 07:42 EDT by Jose Plans
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0207
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for RHEL4 binutils-2.15.92.0.2. (703 bytes, patch)
2006-08-01 07:42 EDT, Jose Plans
no flags Details | Diff

  None (edit)
Description Jose Plans 2006-08-01 07:42:11 EDT
After compiling for profiling a program and then using gprof to generate some
monitoring, this last one will complain with the following errors:
 ---
         BFD: LiftSimulator(.rel.plt): relocation 0 has invalid symbol
         index 1
         BFD: LiftSimulator(.rel.plt): relocation 1 has invalid symbol
         index 2
         ...
 ---
This happens on latest binutils : binutils-2.15.92.0.2
And has been fixed : http://sourceware.org/ml/binutils/2005-01/msg00433.html.

To reproduce it:
   --- prog.cpp ---
#include <iostream>

int main()
{
std::cout << "Hello, world!" << std::endl;
return 0;
}
   --- prog.cpp ---
% g++ -pg -g -o prog prog.cpp
% ./prog
% gprof ./prog gmon.out > gmon.results

Attached you will find a backported patch fixing this problem.
Comment 1 Jose Plans 2006-08-01 07:42:11 EDT
Created attachment 133391 [details]
Patch for RHEL4 binutils-2.15.92.0.2.
Comment 4 RHEL Product and Program Management 2006-08-18 10:52:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Jakub Jelinek 2007-01-05 10:04:14 EST
Should be fixed in 2.15.92.0.2-22.
Comment 10 Red Hat Bugzilla 2007-05-01 19:16:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0207.html

Note You need to log in before you can comment on or make changes to this bug.